summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2009-02-21 11:30:41 +0100
committerJim Meyering <meyering@redhat.com>2009-02-21 16:52:39 +0100
commitcd78f85b0b0eabf09466f5aa689561f23e242f5e (patch)
treeb7aa236888019ba8357fc4a98e1e7bcd997103c3
parent2061cd8aa64454d689a4de600aa515781cf346c2 (diff)
downloadcoreutils-cd78f85b0b0eabf09466f5aa689561f23e242f5e.tar.xz
tests: don't let SIGTTOU/TTIN hang a backgrounded "make check"
Running "make check &" would hang due to SIGTTOU and SIGTTIN signals. * tests/misc/stty: Ignore SIGTTOU. * tests/misc/stty-invalid: Likewise. * tests/mv/i-3: Ignore SIGTTIN.
-rwxr-xr-xtests/misc/stty3
-rwxr-xr-xtests/misc/stty-invalid3
-rwxr-xr-xtests/mv/i-33
3 files changed, 6 insertions, 3 deletions
diff --git a/tests/misc/stty b/tests/misc/stty
index c53f6c40a..b607ec08c 100755
--- a/tests/misc/stty
+++ b/tests/misc/stty
@@ -1,7 +1,7 @@
#! /bin/sh
# Make sure stty can parse most of its options.
-# Copyright (C) 1998-2004, 2006-2008 Free Software Foundation, Inc.
+# Copyright (C) 1998-2004, 2006-2009 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -24,6 +24,7 @@ fi
# Make sure there's a tty on stdin.
. $srcdir/test-lib.sh
require_controlling_input_terminal_
+trap '' TTOU # Ignore SIGTTOU
# The following list of reversible options was generated with
# grep -w REV stty.c|sed -n '/^ {"/{s//REV_/;s/".*/=1/;p;}'|fmt
diff --git a/tests/misc/stty-invalid b/tests/misc/stty-invalid
index 47531c533..d9f077779 100755
--- a/tests/misc/stty-invalid
+++ b/tests/misc/stty-invalid
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure that stty diagnoses invalid inputs, rather than silently misbehaving.
-# Copyright (C) 2007-2008 Free Software Foundation, Inc.
+# Copyright (C) 2007-2009 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -23,6 +23,7 @@ fi
. $srcdir/test-lib.sh
require_controlling_input_terminal_
+trap '' TTOU # Ignore SIGTTOU
fail=0
diff --git a/tests/mv/i-3 b/tests/mv/i-3
index b9cd7d9ed..d1f119c42 100755
--- a/tests/mv/i-3
+++ b/tests/mv/i-3
@@ -2,7 +2,7 @@
# Make sure that `mv file unwritable-file' prompts the user
# and that `mv -f file unwritable-file' doesn't.
-# Copyright (C) 2001, 2004, 2006-2008 Free Software Foundation, Inc.
+# Copyright (C) 2001, 2004, 2006-2009 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,6 +25,7 @@ fi
. $srcdir/test-lib.sh
require_controlling_input_terminal_
skip_if_root_
+trap '' TTIN # Ignore SIGTTIN
touch f g h i || framework_failure
chmod 0 g i || framework_failure